import { useTranslation } from "@/src/hooks/useTranslation";
import useRigthSidebarStore from "@/feature/messenger/store/useRigthSidebarStore";
import { X } from "react-feather";
import useMessageInformation from "@/feature/messenger/store/useMessageInformation";

const MessageInformation = () => {
    const { handleOpenRigthSidebar } = useRigthSidebarStore();
    const { trans } = useTranslation();
    const { detailMessage } = useMessageInformation();
    return (
        <div className={`flex-1`}>
        <header className="flex justify-between items-center mt-4">
            <h1 className="font-semibold text-xl">
                {trans("sidebar_message_information_title")}
            </h1>
            <span
            className="cursor-pointer"
            onClick={handleOpenRigthSidebar}
        >
            <X size={25} />
            </span>
        </header>
        <div className="p-4">
            <div className="bg-indigo-500 text-white p-4 rounded-md">
                {detailMessage.message}
            </div>
            <ul className="list-disc mt-4 p-4">
                <li>
                    <strong>{trans("sidebar_message_information_date_send_whatsapp_title")}:</strong> <br /> {detailMessage.dateSendWhatsapp}
                </li>
                <li>
                    <strong>{trans("sidebar_message_information_date_delivery_cellphone_title")}:</strong> <br /> {detailMessage.dateDeliveryCellphone}
                </li>
                <li>
                    <strong>{trans("sidebar_message_information_date_read_user_title")}:</strong> <br /> {detailMessage.dateReadUser}
                </li>
                <li>
                    <strong>{trans("sidebar_message_information_date_delivery_failed_title")}:</strong> <br /> {detailMessage.dateDeliveryFailed}
                </li>
                <li>
                    <strong>{trans("sidebar_message_information_date_delivery_failed_comment")}:</strong> <br /> {detailMessage.dateDeliveryFailedComment}
                </li>
            </ul>
        </div>
        </div>
    )
}

export default MessageInformation;